<form id="form" method="GET" action="@{PublikCtr.listUsulan()}">

	<div id="form-kategori">
        <div class="form-group">
            <label class="control-label">&{'komoditas.label'}</label>
            <select class="form-control commodity select2" multiple="multiple" style="width: 100%;">
			#{list komoditasList, as:'k'}
                <option value="${k.id}" >${k.nama_komoditas}</option>
			#{/list}
            </select>
        </div>
    </div>

	<div class="form-group">
		<label class="control-label">&{'kata_kunci.label'}</label>
		<input name="keyword" id="keyword" class="form-control" value="${params?.get("keyword")}"/>
	</div>

    <div class="form-group">
        <label class="control-label">&{'tanggal_mulai.label'}-&{'tanggal_akhir.label'}</label>
        <div class="input-daterange">
            <input class="form-control datepicker marb-1rem" name="start" value="${params.get("start")}" type="text" placeholder="&{'tanggal_mulai.label'}">
            <input class="form-control datepicker valid" name="finish" value="${params.get("finish")}" aria-invalid="false" type="text" placeholder="&{'tanggal_akhir.label'}">
        </div>
    </div>

	<input type="hidden" name="commodities" id="cats" value="${commodityJson}">
	<button class="btn btn-block btn-primary btn-red" type="submit" id="submitBtn">&{'tampilkan.label'}</button>
</form>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function () {
        var data = ${commodities != null ? commodities.raw() : []};
        var result = {};
        set();
        $('#mobile-sidebar #submitBtn').on('click', function () {
            closeSidebar();
        });
        $('#mobile-sidebar .commodity').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                closeSidebar();
                return false;
            }
            return;
        });
        jQuery('.hidden-mobile .commodity').val(data).trigger("change");

        jQuery('.hidden-mobile .commodity').on("select2:select", function(event) {
            add(event.params.data);
        });
        jQuery('.hidden-mobile .commodity').on("select2:unselect", function(event) {
            remove(event.params.data);
        });

        jQuery('#mobile-sidebar .commodity').val(data).trigger("change");

        jQuery('#mobile-sidebar .commodity').on("select2:select", function(event) {
            add(event.params.data);
        });
        jQuery('#mobile-sidebar .commodity').on("select2:unselect", function(event) {
            remove(event.params.data);
        });

        function set() {
            if (data.length > 0) {
                for (var i = 0; i < data.length; i++) {
                    var val = data[i];
                    result[val] = '';
                }
            }
        }

        function remove(model) {
            if (result.hasOwnProperty(model.id)) {
                delete result[model.id];
                updateValue();
            }
        }

        function add(model) {
            if (!result.hasOwnProperty(model.id)) {
                result[model.id] = '';
                updateValue();
            }
        }

        function updateValue() {
            jQuery('.hidden-mobile #cats').val(encodeURI(JSON.stringify(result)));
            jQuery('#mobile-sidebar #cats').val(encodeURI(JSON.stringify(result)));
        }


    });
</script>
#{/set}